%define name    libebml
%define version 1.3.3
%define major 4
%define libname %mklibname ebml %{major}
%define develname %mklibname ebml -d

Summary:        Extensible Binary Meta Language Library
Name:           %name
Version:        %version
Release: 		%mkrel 2
License:        LGPLv2+
Group:			System/Libraries
URL:            http://www.matroska.org/
Source0:        http://dl.matroska.org/downloads/libebml/%name-%version.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n %{libname}
Summary:        Extensible Binary Meta Language shared Library
Group: System/Libraries
Obsoletes: %{_lib}ebml2
Obsoletes: %{_lib}ebml3

%description -n %{libname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n %{develname}
Group: Development/Libraries
Summary: Extensible Binary Meta Language Library headers and static library
Provides: libebml-devel = %version
Requires: %{libname} = %version
Obsoletes: %{libname}-devel
Obsoletes: libebml0-devel

%description -n %{develname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

This package contains the C++ headers and the static library needed
for development with EBML.

%prep
%setup -q

# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

# fix encoding
iconv -f ISO8859-1 -t UTF-8 ChangeLog -o ChangeLog-utf8
touch -r ChangeLog ChangeLog-utf8
mv -f ChangeLog-utf8 ChangeLog

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

# fix lib permissions so that it gets properly stripped and -debug isn't empty
chmod a+x %{buildroot}%{_libdir}/*.so*

# don't ship .a or .la
rm -f %buildroot%_libdir/lib*a

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/ebml
%{_libdir}/libebml.so
%_libdir/pkgconfig/libebml.pc

%clean
rm -rf %buildroot

%files -n %{libname}
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/ebml
%{_libdir}/libebml.so
%_libdir/pkgconfig/libebml.pc

%changelog
* Wed Nov 09 2016 adrianomorselli <adrianomorselli> 1.3.3-2uplos2016
- rebuild

* Tue May 17 2016 bb <bb> 1.3.3-2pclos2016
- rebuild against updates

* Wed Oct 21 2015 bb <bb> 1.3.3-1pclos2015
- update

* Mon Oct 19 2015 bb <bb> 1.3.2-1pclos2015
- update


